snare_data
	dw $43D5
	dw $227C
	dw $43D4
	dw $2211
	dw $43D3
	dw $43EC
	dw $43D2
	dw $43E8

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	
	;align 256
vol_default
	db 4,4,4,4,4,3,3,3,3,3
	db 2,2,2,2,2,1,1,1,1,1
	db $FF
	
ch_ptrs_lo
	db Channel1 & 255
	db Channel2 & 255
	db Channel3 & 255
	
ch_ptrs_hi
	db Channel1 >> 8
	db Channel2 >> 8
	db Channel3 >> 8
	
Channel1
	dw pat_intro_1,pat_intro_1a
	dw pat_intro_1,pat_intro_1b
	dw pat_intro_1,pat_intro_1a
	dw pat_intro_1,pat_intro_1b
	;
	dw pat_bridge,pat_bridge_a
	dw pat_bridge,pat_bridge_b
	;
	dw pat_lead_10,pat_lead_11,pat_lead_1a,pat_lead_10,pat_lead_11,pat_lead_1b
	dw pat_lead_2,pat_lead_2a
	;
	dw pat_mid_1_2
	dw pat_mid_arps_1_len2,pat_mid_arps_1,pat_mid_arps_2,pat_mid_arps_3,pat_mid_arps_4
	dw pat_mid_arps_1_len2,pat_mid_arps_1,pat_mid_arps_2,pat_mid_arps_3,pat_mid_arps_4
	dw pat_mid_arps_1_len1,pat_mid_arps_1,pat_mid_arps_1_len1,pat_mid_arps_1
	dw pat_mid_arps_2,pat_mid_arps_2
	dw pat_mid_arps_3,pat_mid_arps_3
	dw pat_mid_arps_4,pat_mid_arps_4
	;
	dw pat_lead_10,pat_lead_11,pat_lead_1a,pat_lead_12,pat_lead_11,pat_lead_1b
	dw pat_lead_2,pat_lead_2a
	;
	; ---
	;
	dw pat_intro_1,pat_intro_1a
	dw pat_intro_1,pat_intro_1b
	;
	dw pat_bridge,pat_bridge_c
	dw pat_bridge,pat_bridge_b
	;
	dw pat_lead_10,pat_lead_11,pat_lead_1a,pat_lead_10,pat_lead_11,pat_lead_1b
	dw pat_lead_2,pat_lead_2a
	;
	dw pat_mid_1_2
	dw pat_mid_arps_1_len2,pat_mid_arps_1,pat_mid_arps_2,pat_mid_arps_3,pat_mid_arps_4
	dw pat_mid_arps_1_len2,pat_mid_arps_1,pat_mid_arps_2,pat_mid_arps_3,pat_mid_arps_4
	dw pat_mid_arps_1_len1,pat_mid_arps_1,pat_mid_arps_1_len1,pat_mid_arps_1
	dw pat_mid_arps_2,pat_mid_arps_2
	dw pat_mid_arps_3,pat_mid_arps_3
	dw pat_mid_arps_4,pat_mid_arps_4
	;
	dw pat_lead_10,pat_lead_11,pat_lead_1a,pat_lead_10,pat_lead_11,pat_lead_1c
	dw pat_lead_2,pat_lead_2a
	dw pat_lead_2,pat_lead_2b
	;
	; --
	;
	dw pat_solo1,pat_solo1a
	dw pat_solo1,pat_solo1b
	dw pat_solo1,pat_solo1a
	dw pat_solo1,pat_solo1c
	dw pat_solo2,pat_solo2a
	dw pat_solo2,pat_solo2b
	dw pat_solo2,pat_solo2a
	dw pat_solo2,pat_solo2c
	dw pat_solo3,pat_solo3a
	dw pat_solo3,pat_solo3a
	dw pat_solo4,pat_solo4a,pat_solo4b,pat_solo3
	dw pat_solo4,pat_solo4a,pat_solo4b,pat_solo3
	;
	dw pat_lead_31,pat_lead_3g
	dw pat_lead_31,pat_lead_3gi
	dw pat_lead_31,pat_lead_3b
	dw pat_lead_32
	;
	dw 0
	
Channel2
	dw pat_kick_only,pat_kick_only,pat_kick_only,pat_kick_only
	dw pat_kick_only,pat_kick_only,pat_kick_only,pat_kick_only
	dw pat_kick,pat_kick,pat_kick,pat_kick
	dw pat_kick,pat_kick,pat_kick,pat_kick_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;	
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_kick,pat_kick,pat_kick,pat_kick
	dw pat_kick,pat_kick,pat_kick_big_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;
	; ---
	;
	dw pat_kick,pat_kick,pat_kick,pat_kick
	dw pat_kick,pat_kick,pat_kick,pat_kick_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;	
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2
	dw pat_beat2,pat_beat2,pat_beat2,pat_beat2_fill
	dw pat_kick,pat_kick,pat_kick,pat_kick
	dw pat_kick,pat_kick,pat_kick_big_fill
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;
	; --
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat ; solo
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	dw pat_beat,pat_beat,pat_beat,pat_beat
	;
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	dw pat_beat,pat_beat,pat_beat,pat_beat_fill
	;
	dw 0
	
Channel3
	dw pat_intro_2,pat_intro_2a
	dw pat_intro_2,pat_intro_2b
	dw pat_intro_2,pat_intro_2a
	dw pat_intro_2,pat_intro_2b
	;
	dw pat_arp_f2,pat_arp_f2,pat_arp_g2,pat_arp_g2
	dw pat_arp_gi2,pat_arp_gi2,pat_arp_ai2,pat_arp_ai2
	dw pat_arp_f2,pat_arp_f2,pat_arp_g2,pat_arp_g2
	dw pat_arp_gi2,pat_arp_gi2,pat_arp_ai2,pat_arp_ai2
	;
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_g,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_c,pat_arp_c
	;	
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	;
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_g,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_c,pat_arp_c
	;
	; ---
	;
	dw pat_intro_2,pat_intro_2a
	dw pat_intro_2,pat_intro_2b
	;
	dw pat_arp_f2,pat_arp_f2,pat_arp_g2,pat_arp_g2
	dw pat_arp_gi2,pat_arp_gi2,pat_arp_ai2,pat_arp_ai2
	dw pat_arp_f2,pat_arp_f2,pat_arp_g2,pat_arp_g2
	dw pat_arp_gi2,pat_arp_gi2,pat_arp_ai2,pat_arp_ai2
	;
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_g,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_c,pat_arp_c
	;	
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	dw pat_arp_di,pat_arp_di,pat_arp_ai,pat_arp_ai
	dw pat_arp_gi,pat_arp_gi,pat_arp_ai,pat_arp_ai
	;
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_c,pat_arp_c,pat_arp_gi,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_g,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_c,pat_arp_c
	dw pat_arp_gi,pat_arp_ai,pat_arp_g,pat_arp_g
	dw pat_arp_gi,pat_arp_ai,pat_arp_c,pat_arp_c
	;
	; ---
	;
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	dw pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo,pat_arp_c_solo
	;
	dw pat_arp_gi_ai,pat_arp_c,pat_arp_c
	dw pat_arp_gi_ai,pat_arp_f,pat_arp_f
	dw pat_arp_gi_ai,pat_arp_g3,pat_arp_g3
	dw pat_arp_gi_ai,pat_arp_c,pat_arp_c
	;
	dw 0
	
LEN = $40

speed = 10

bdr = $F1
snr = $F2
hht = $F3
arp = $F4
vib = $F7

	; F = E11
	; Fi= D47
	; G = C88
	; Gi= BD4
	; A = B2A
	; Ai= A8A
	; B = 9F2
	; C = 963
	; Ci= 8DC
	; D = 85D
	; Di= 7E5
	
pat_kick_only
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db END_MARK
	
pat_kick
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*1-2, OFF
	db hht,LEN+2,0,        LEN+speed*1-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db END_MARK
	
pat_kick_fill
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*1-2, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db END_MARK
	
pat_kick_big_fill
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	;
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	;
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	;
	db END_MARK
	
pat_beat
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db END_MARK
	
pat_beat_fill
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db bdr,LEN+6,0,        LEN+speed*1-6, OFF
	db snr,LEN+8,0,        LEN+speed*1-8, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db END_MARK
	
pat_beat2
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db snr,LEN+8,0,        LEN+speed*6-8, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db snr,LEN+8,0,        LEN+speed*4-8, OFF
	db END_MARK
	
pat_beat2_fill
	db bdr,LEN+6,0,        LEN+speed*4-6, OFF
	db snr,LEN+8,0,        LEN+speed*6-8, OFF
	db bdr,LEN+6,0,        LEN+speed*2-6, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db snr,LEN+8,0,        LEN+speed*2-8, OFF
	db END_MARK
	
pat_arp_di
	db SET_ARP, $47
	db DIGI_X,$E5,$07 ; Di
	db $F4, LEN+speed*8
	db Di2,Di2
	db END_MARK
	
pat_arp_c
	db SET_ARP, $37
	db DIGI_X,$63,$09 ; C
	db $F4, LEN+speed*8
	db C2,C2
	db END_MARK
	
pat_arp_ai
	db SET_ARP, $47
	db DIGI_X,$8A,$0A ; Ai
	db $F4, LEN+speed*8
	db Ai1,Ai1
	db END_MARK
	
pat_arp_gi
	db SET_ARP, $38
	db DIGI_X,$D4,$0B ; Gi
	db $F4, LEN+speed*8
	db C2,C2
	db END_MARK
	
pat_arp_g
	db SET_ARP, $35
	db DIGI_X,$88,$0C ; G
	db $F4, LEN+speed*8
	db D2,D2
	db END_MARK
	
pat_arp_ai2
	db SET_ARP, $47
	db DIGI_X,$8A,$0A ; Ai
	db $F4, LEN+speed*2, Ai1
	db $F7, LEN+speed,   Ai1
	db $F4, LEN+speed*2, Ai1
	db $F7, LEN+speed,   Ai1
	db $F4, LEN+speed*2, Ai1
	db                   Ai1
	db $F7, LEN+speed,   Ai1
	db $F4, LEN+speed*2, Ai1
	db $F7, LEN+speed,   Ai1
	db $F4, LEN+speed*2, Ai1
	db END_MARK
	
pat_arp_gi2
	db SET_ARP, $47
	db DIGI_X,$D4,$0B ; Gi
	db $F4, LEN+speed*2, Gi1
	db $F7, LEN+speed,   Gi1
	db $F4, LEN+speed*2, Gi1
	db $F7, LEN+speed,   Gi1
	db $F4, LEN+speed*2, Gi1
	db                   Gi1
	db $F7, LEN+speed,   Gi1
	db $F4, LEN+speed*2, Gi1
	db $F7, LEN+speed,   Gi1
	db $F4, LEN+speed*2, Gi1
	db END_MARK
	
pat_arp_g2
	db SET_ARP, $47
	db DIGI_X,$88,$0C ; G
	db $F4, LEN+speed*2, G1
	db $F7, LEN+speed,   G1
	db $F4, LEN+speed*2, G1
	db $F7, LEN+speed,   G1
	db $F4, LEN+speed*2, G1
	db                   G1
	db $F7, LEN+speed,   G1
	db $F4, LEN+speed*2, G1
	db $F7, LEN+speed,   G1
	db $F4, LEN+speed*2, G1
	db END_MARK
	
pat_arp_f2
	db SET_ARP, $37
	db DIGI_X,$11,$0E ; F
	db $F4, LEN+speed*2, F1
	db $F7, LEN+speed,   F1
	db $F4, LEN+speed*2, F1
	db $F7, LEN+speed,   F1
	db $F4, LEN+speed*2, F1
	db                   F1
	db $F7, LEN+speed,   F1
	db $F4, LEN+speed*2, F1
	db $F7, LEN+speed,   F1
	db $F4, LEN+speed*2, F1
	db END_MARK
	
pat_arp_gi_ai
	db SET_ARP, $47
	db DIGI_X,$D4,$0B ; Gi
	db $F4, LEN+speed*8
	db Gi1,Gi1
	db DIGI_X,$8A,$0A ; Ai
	db Ai1,Ai1
	db END_MARK
	
pat_arp_f
	db SET_ARP, $58
	db DIGI_X,$11,$0E ; F
	db $F4, LEN+speed*8
	db C2,C2
	db END_MARK
	
pat_arp_g3
	db SET_ARP, $38
	db DIGI_X,$88,$0C ; G
	db $F4, LEN+speed*8
	db B1,B1
	db END_MARK
	
pat_arp_c_solo
	db SET_ARP, $37
	db DIGI_X,$63,$09 ; C
	db $F4, LEN+speed*2, C2
	db $F7, LEN+speed,   C1
	db $F4, LEN+speed*2, C2
	db $F7, LEN+speed,   C1
	db $F4, LEN+speed*2, C2
	db $F7, LEN+speed,   C1
	db $F4, LEN+speed*2, C2
	db $F7, LEN+speed,   C1
	db $F4, LEN+speed*2, C2
	db SET_ARP, $25
	db DIGI_X,$8A,$0A ; Ai
	db                   C2
	db END_MARK
	
pat_lead_10
	db $F5
	db LEN+speed*2
	db C1,C1,C3,C1,C3
	db END_MARK
	
pat_lead_12
	db $F5
	db LEN+speed*2
	db C1,C1
	db LEN+speed*2-2,C3, LEN+2, C1
	db LEN+speed*2-2,C3, LEN+2, C1
	db LEN+speed*2-2,C3, LEN+2, C1
	db END_MARK

pat_lead_11
	db LEN+speed*2
	db D3,Di3,C1
	db LEN+1,F3,Fi3,G3,Gi3
	db LEN+speed*3*2-4,Ai3
	db LEN+speed*5*2,G3
	;
	db LEN+speed*2
	db Gi0,Gi0,C3,Gi0,C3,D3,Di3,Gi0
	db LEN+1,F3,Fi3,G3,Gi3
	db END_MARK
	
pat_lead_1a
	db LEN+speed*3*2-4,Ai3
	db LEN+speed*3*2,G3
	db LEN+speed*1*2,F3,G3
	db END_MARK

pat_lead_1b
	db LEN+speed*2*2-6,Ai3,LEN+2,Gi0
	db LEN+speed*1*2,Ai3,G3,G0
	db LEN+speed*1*2,G3,F3,G3
	db END_MARK
	
pat_lead_1c
	db LEN+speed*2-4,Ai3
	db LEN+speed*2,Gi3,G3,F3
	db LEN+1,Ai2,B2,C3,D3
	db LEN+speed*2-4,Di3
	db LEN+speed*2,D3,C3,Ai2
	db END_MARK
	
pat_lead_2
	db $F5
	db LEN+speed*2
	db Gi0,Gi0,Gi3,Gi0,Gi3,G3,F3,Gi0
	db LEN+speed*2*3, D3,Di3
	db LEN+speed*2*2, F3
	;
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3, LEN+speed*4, F3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3, LEN+speed*4, Di3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3, LEN+speed*4, D3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3, LEN+speed*4, C3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3, LEN+speed*4, B2
	db LEN+1,Ai2,A2,Gi2,G2,Fi2,F2,Di2,D2,C2,B1
	db       Ai1,A1,Gi1,G1,Fi1,F1,Di1,D1,C1,B0
	;
	db LEN+speed*2
	db Gi0,Gi0,Gi3,Gi0,Gi3,G3,F3,Gi0
	db END_MARK
	;
pat_lead_2a
	db LEN+speed*2*3, D3,Di3
	db LEN+speed*2*2, F3
	;
	db LEN+speed*2, G3
	db $F6, LEN+speed*1, G3
	db $F7, LEN+speed*1, G3
	db $F5, LEN+speed*2, C3
	db LEN+speed*4, G3, LEN+speed*2, C4,G3,F3
	db LEN+speed*4, G3, LEN+speed*2, C3
	db LEN+speed*4, G3, LEN+speed*2, C4,G3,F3
	db END_MARK
	
pat_lead_2b
	db LEN+speed*2*3, D3,F3
	db LEN+speed*2*2, Ai3
	;
	db LEN+speed*12-2, C4, LEN+2, C1
	db LEN+speed*2, C4, Ai3
	db LEN+speed*8, C4, C4
	db END_MARK
	
pat_lead_31
	db $F5
	db LEN+speed*3,Gi0
	db LEN+1,C2,Ci2,D2,Di2,F2,Fi2,G2,Gi2,Ai2,B2
	db LEN+speed*2
	db C3,Gi0,C3,D3
	db LEN+speed*4,Di3
	db LEN+speed*2*3, F3,Di3
	db LEN+speed*2*2, D3
	db END_MARK
	
pat_lead_3g
	db LEN+1,C3,D3,Di3,F3, LEN+speed*12-4, G3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, G3
	db LEN+speed*2, F3
	db LEN+speed*7, G3, G3
	db LEN+1,              Fi3,F3,Di3,D3,C3,B2
	db       Ai2,A2,Gi2,G2,Fi2,F2,Di2,D2,C2,B1
	db       Ai1,A1,Gi1,G1
	db END_MARK
	
pat_lead_3gi
	db LEN+1,C3,D3,Di3,F3, LEN+speed*12-4, Gi3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, Gi3
	db LEN+speed*2, G3
	db LEN+speed*7, Gi3, Gi3
	db LEN+1,           G3,Fi3,F3,Di3,D3,C3,B2
	db       Ai2,A2,Gi2,G2,Fi2,F2,Di2,D2,C2,B1
	db       Ai1,A1,Gi1
	db END_MARK
	
pat_lead_3b
	db LEN+1,C3,D3,Di3,F3, LEN+speed*12-4, B3
	db LEN+1,C3,D3,Di3,F3, LEN+speed*2-4, B3
	db LEN+speed*2, A3
	db LEN+speed*8, B3
	db LEN+speed*2, A3,B3,A3,B3
	db END_MARK

pat_lead_32
	db $F5
	db LEN+speed*3,Gi0
	db LEN+1,C2,Ci2,D2,Di2,F2,Fi2,G2,Gi2,Ai2,B2
	db LEN+speed*2
	db C3,Gi0,C3,D3
	db LEN+speed*4,Di3
	db LEN+speed*2*3, F3,G3
	db LEN+speed*2*2, Ai2
	db LEN+speed*12-2, C3, LEN+2, C1
	db LEN+speed*2, C3,Ai2
	db LEN+speed*16, C3
	db END_MARK
	
pat_intro_1
	db $F5
	db LEN+speed
	db Di3,C1,C1,C3,C1,C1,Di3,C1,C1,C3,C1,C1,Di3,C1,C3,C1
	db G3,Di1,Di1,Di3,Di1,Di1,G3,Di1,Di1,Di3,Di1,Di1,G3,Di1,Di3,Di1
	db Ai3,G1,G1,G3,G1,G1,Ai3,G1,G1,G3,G1,G1,Ai3,G1,G3,G1
	db D4,G1,G1,Ai3,G1,G1,D4,G1,G1,Ai3,G1,G1
	db END_MARK
pat_intro_1a
	db D4,G1,Ai3,G1
	db END_MARK
	
pat_intro_1b
	db D4,Di4,D4,C4
	db END_MARK
	
pat_intro_2
	db DIGI_X,$63,$09 ; C
	db $F5
	db LEN+speed
	db C3,C2,C2,G2,C2,C2,C3,C2,C2,G2,C2,C2,C3,C2,G2,C2
	db DIGI_X,$E5,$07 ; Di3
	db Di3,Di2,Di2,Ai2,Di2,Di2,Di3,Di2,Di2,Ai2,Di2,Di2,Di3,Di2,Ai2,Di2
	db DIGI_X,$88,$0C ; G
	db G3,G0,G0,D3,G0,G0,G3,G0,G0,D3,G0,G0,G3,G0,D3,G0
	db Ai3,G0,G0,G3,G0,G0,Ai3,G0,G0,G3,G0,G0
	db END_MARK
	
pat_intro_2a
	db Ai3,G0,G3,G0
	db END_MARK
	
pat_intro_2b
	db G0,G0,G0,G0
	db END_MARK
	
pat_bridge
	db $F5
	db LEN+speed*2, C2,Di2,F2, C2,Di2,F2, C2,Di2,F2, C2,Di2,F2, C2,Di2, LEN+speed*4, F2
	db LEN+speed*2, C2,Di2,G2, C2,Di2,G2, C2,Di2,G2, C2,Di2,G2, C2,Di2, LEN+speed*4, G2
	db LEN+speed*2, C2,Di2,Gi2, C2,Di2,Gi2, C2,Di2,Gi2, C2,Di2,Gi2, C2,Di2, LEN+speed*4, Gi2
	db END_MARK

pat_bridge_a
	db LEN+speed*2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2, LEN+speed*4, Ai2
	db END_MARK
	
pat_bridge_b
	db LEN+speed*2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2,C3, C2,Di2,D3, C2,Di2, LEN+speed*4, Di3
	db END_MARK
	
pat_bridge_c
	db LEN+speed*2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2,Ai2, C2,Di2,Ai2, Gi2,G2,F2,Di2
	db END_MARK
	
pat_mid_1_2
	db $F5
	db LEN+speed*2
	db Di1,Di1,Di3,Di1,Di3,F3,G3,Di1
	db LEN+1,F3,Fi3,G3,Gi3
	db LEN+speed*3*2-4,Ai3
	db LEN+2,A3,Gi3
	db LEN+speed*5*2-4,G3
	;
	db LEN+speed*2
	db Ai0,Ai0,D3,Ai0,D3,Di3,F3,Ai0
	db LEN+1,F3,Fi3,G3,Gi3
	db LEN+speed*3*2-4,Ai3
	db LEN+1,A3,Gi3,G3,Fi3
	db LEN+speed*3*2-4,F3
	db LEN+speed*2,Di3,F3
	;
	db LEN+speed*2
	db Gi0,Gi0,Di3,Gi0,Gi3,G3,F3,Gi0
	db LEN+1,Ai2,C3,D3,Di3
	db LEN+speed*3*2-4,F3
	db LEN+speed*3*2,Di3
	db LEN+speed*2,D3,Di3
	db LEN+speed*10,D3
	db LEN+1,Ai2,B2,C3,Ci3,LEN+speed*2-4,D3
	db LEN+speed*2,Di3,D3
	db LEN+speed*12,Ai2
	db LEN+2,A2,Gi2,G2,Fi2,F2,Di2,D2,Ci2,C2,Ai1
	db       A1,Gi1,G1,Fi1,F1,Di1,D1,Ci1,C1,Ai0
	;
	; ---
	;
	db LEN+speed*2
	db Di1,Di1,Di3,Di1,Di3,F3,G3,Di1
	db LEN+1,F3,Fi3,G3,Gi3
	db LEN+speed*3*2-4,Ai3
	db LEN+2,A3,Gi3
	db LEN+speed*6-4,G3
	db LEN+speed,F3,G3,F3,Di3
	;
	db LEN+speed*4,D3
	db LEN+1,Ai2,B2,C3,Ci3,LEN+speed*2-4,D3
	db LEN+speed*2
	db Ai0,D3,Di3,F3,Ai0
	db LEN+1,F3,Fi3,G3,Gi3
	db LEN+speed*3*2-4,Ai3
	db LEN+1,A3,Gi3,G3,Fi3
	db LEN+speed*3*2-4,F3
	db LEN+speed*2,Di3,F3
	;
	db LEN+speed*2
	db Gi0,Gi0,Di3,Gi0,Gi3,G3,F3,Gi0
	db LEN+1,Ai2,C3,D3,Di3
	db LEN+speed*3*2-4,F3
	db LEN+speed*3*2,Di3
	db LEN+speed*2,D3,Di3
	;
	db LEN+speed
	;  
	db C3,Ai2,Gi2,Ai2
	db D3,C3,Ai2,C3
	db Di3,D3,C3,D3
	db F3,Di3,D3,Di3
	;
	db D3,C3,Ai2,C3
	db Di3,D3,C3,D3
	db F3,Di3,D3,Di3
	db G3,F3,Di3,F3 
	;
	db END_MARK
	
pat_mid_arps_1_len1
	db $F5
	db LEN+speed
	db Ai3
	db END_MARK
	
pat_mid_arps_1_len2
	db $F5
	db LEN+speed*2
	db Ai3
	db END_MARK
	
pat_mid_arps_1
	db     G3,Di3,G3
	db Ai3,G3,Di3,G3
	db Ai3,G3,Di3
	db Ai3,G3,Di3,G3,Di3
	;
	db END_MARK

pat_mid_arps_2
	db Ai3,F3,D3,F3
	db Ai3,F3,D3,F3
	db Ai3,F3,D3
	db Ai3,F3,D3,F3,D3
	;
	db END_MARK

pat_mid_arps_3
	db Ai3,Di3,C3,Di3
	db Ai3,Di3,C3,Di3
	db Ai3,Di3,C3
	db Ai3,Di3,C3,Di3,C3
	;
	db END_MARK

pat_mid_arps_4
	db Ai3,Di3,Ai2,Di3
	db Ai3,Di3,Ai2,Di3
	db Ai3,Di3,Ai2
	db Ai3,Di3,Ai2,Di3,Ai2
	;
	db END_MARK

pat_solo1
	db $F5
	db LEN+speed*3, G2,C3,D3,Di3
	db LEN+speed*2-2, D3, LEN+2,C1
	db LEN+speed*2-2, C3, LEN+2,C1
	;
	db LEN+speed*3, G2,C3,D3,Di3
	db LEN+speed*2-2, F3, LEN+2,C1
	db LEN+speed*2-2, D3, LEN+2,C1
	;
	db LEN+speed*3, G2,C3,D3,Di3
	db END_MARK

pat_solo1a
	db LEN+speed*2-2, G3, LEN+2,C1
	db LEN+speed*2-2, F3, LEN+2,C1
	;
	db LEN+speed*8, G3
	db LEN+speed, G3,Fi3,F3,Di3,C3,Ai2,G2,Ai2
	db END_MARK
	
pat_solo1b
	db LEN+speed*2, F3,G3
	;
	db LEN+speed, C4,Ai3,G3,Ai3,C4,Ai3,G3,Ai3
	db            C4,Ai3,G3,Fi3,F3,Di3,C3,Ai2
	db END_MARK
	
pat_solo1c
	db LEN+speed*2, F3,G3
	;
	db LEN+speed, C4,Ai3,G3,Ai3,C4,Ai3,G3,Ai3
	db            C4,Ai3,C4,Ai3,C4,Ai3,C4,Ai3
	db END_MARK
	
pat_solo2
	db LEN+speed, C4,Ai3,G3,C4,C1
	db            C4,Ai3,G3
	db LEN+1, G3,Gi3,A3,Ai3, LEN+speed*2-4, C4
	db LEN+2, B3, LEN+speed-2, Ai3, LEN+speed,C1
	db LEN+1, G3,Gi3,A3,Ai3, LEN+speed*2-4, C4
	db LEN+2, B3, LEN+speed-2, Ai3, LEN+speed,C1
	;
	db LEN+speed, C4,Ai3,G3,C4,C1
	db            C4,Ai3,G3
	db END_MARK
	
pat_solo2a
	db Fi3,F3,Di3,C3,Ai2,G2,Fi2,F2
	db END_MARK
	
pat_solo2b
	db Di4,D4,C4,Ai3,G3,Ai3,C4,Ai3
	db END_MARK
	
pat_solo2c
	db LEN+speed/2
	db F3,C1,F3,C1
	db Fi3,C1,Fi3,C1
	db G3,C1,G3,C1
	db Ai3,C1,Ai3,C1
	db END_MARK
	
pat_solo3
	db LEN+speed, C4,Ai3,G3,Fi3,F3,Di3,C3,Ai2
	db END_MARK
	
pat_solo3a
	db LEN+speed*2, C3,Di3,F3,G3
	;
	db LEN+speed, C4,Ai3,G3,Fi3,F3,Di3,C3,Ai2
	db                   G2,Fi2,F2,Di2,C2,Ai1,G1,F1
	db END_MARK
	
pat_solo4
	db LEN+1, G3,A3,Ai3,B3, LEN+speed*3-4, C4
	db LEN+1, G3,A3,Ai3,B3, LEN+speed*3-4, C4
pat_solo4b	
	db LEN+1, G3,A3,Ai3,B3, LEN+speed*3-4, C4
	db LEN+1, G3,A3,Ai3,B3, LEN+speed*3-4, C4
pat_solo4a
	db LEN+1, G3,A3,Ai3,B3, LEN+speed*2-4, C4
	db END_MARK
;[eof]